Skip to main content
GET
/
valorant
/
v2
/
mmr-history
/
{affinity}
/
{platform}
/
{name}
/
{tag}
cURL
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v2/mmr-history/{affinity}/{platform}/{name}/{tag}
import requests

url = "https://api.henrikdev.xyz/valorant/v2/mmr-history/{affinity}/{platform}/{name}/{tag}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v2/mmr-history/{affinity}/{platform}/{name}/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "account": {
      "name": "<string>",
      "puuid": "<string>",
      "tag": "<string>"
    },
    "history": [
      {
        "date": "<string>",
        "elo": 123,
        "last_change": 123,
        "map": {
          "id": "<string>",
          "name": "<string>"
        },
        "match_id": "<string>",
        "refunded_rr": 123,
        "rr": 123,
        "season": {
          "id": "<string>",
          "short": "<string>"
        },
        "tier": {
          "id": 123,
          "name": "<string>"
        },
        "was_derank_protected": true
      }
    ]
  },
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

affinity
string
required

Region/affinity (e.g., na, eu, ap, kr)

platform
string
required

Platform (pc, console)

name
string
required

Riot ID name

tag
string
required

Riot ID tag

Response

MMR history retrieved successfully

data
object
required
status
integer<int32>
required
Required range: x >= 0